Bug 1628969 (CVE-2018-16435) - CVE-2018-16435 lcms2: Integer overflow in AllocateDataSet() in cmscgats.c leading to heap-based buffer overflow
Summary: CVE-2018-16435 lcms2: Integer overflow in AllocateDataSet() in cmscgats.c lea...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-16435
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
: 1640118 (view as bug list)
Depends On: 1628971 1628970 1628972 1628973 1640120 1640121 1640122 1650516
Blocks: 1628975
TreeView+ depends on / blocked
 
Reported: 2018-09-14 14:32 UTC by Laura Pardo
Modified: 2019-09-29 14:58 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:37:47 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3004 None None None 2018-10-24 22:08:17 UTC

Description Laura Pardo 2018-09-14 14:32:11 UTC
A flaw was found in Little CMS (aka Little Color Management System) 2.9. An integer overflow in the AllocateDataSet function in cmscgats.c, leading to a heap-based buffer overflow in the SetData function via a crafted file in the second argument to cmsIT8LoadFromFile.


References:
https://github.com/mm2/Little-CMS/issues/171

Upstream Fix:
https://github.com/mm2/Little-CMS/commit/768f70ca405cd3159d990e962d54456773bb8cf8

Comment 1 Laura Pardo 2018-09-14 14:33:17 UTC
Created lcms2 tracking bugs for this issue:

Affects: epel-6 [bug 1628972]
Affects: fedora-all [bug 1628970]


Created mingw-lcms2 tracking bugs for this issue:

Affects: fedora-all [bug 1628971]

Comment 7 Tomas Hoger 2018-10-24 13:13:54 UTC
*** Bug 1640118 has been marked as a duplicate of this bug. ***

Comment 8 errata-xmlrpc 2018-10-24 22:08:06 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2018:3004 https://access.redhat.com/errata/RHSA-2018:3004

Comment 10 Stefan Cornelius 2018-11-16 11:31:48 UTC
Statement:

This issue affects the versions of lcms2 as shipped with Red Hat Enterprise Linux 7.


Note You need to log in before you can comment on or make changes to this bug.